Bug 252922 - devel/libftdi1: modernize and cleanup
Summary: devel/libftdi1: modernize and cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-22 20:59 UTC by Dmitry Marakasov
Modified: 2021-02-08 16:36 UTC (History)
0 users

See Also:
amdmi3: maintainer-feedback-


Attachments
Patch (3.50 KB, patch)
2021-01-22 20:59 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-01-22 20:59:42 UTC
Created attachment 221817 [details]
Patch

- Update MASTER_SITES to https
- Switch to options helpers, CMAKE_BOOL, PORTEXAMPLES
- Install examples into designated EXAMPLESDIR, instead of bin/
- Fix inability to build python support along with docs (you don't need to enable DOCUMENTATION cmake option - as it enables doxygen docs which are not installed anyway)
Comment 1 Automation User 2021-02-06 00:49:06 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/252301735
Comment 2 commit-hook freebsd_committer 2021-02-08 16:36:31 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Feb  8 16:35:31 UTC 2021
New revision: 564721
URL: https://svnweb.freebsd.org/changeset/ports/564721

Log:
  - Update MASTER_SITES to https
  - Switch to options helpers, CMAKE_BOOL, PORTEXAMPLES
  - Install examples into designated EXAMPLESDIR, instead of bin/
  - Fix inability to enable PYTHON and DOCS at the same time

  PR:		252922
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (bsam, 2 weeks)

Changes:
  head/devel/libftdi1/Makefile
  head/devel/libftdi1/pkg-plist